Subject: Re: [bug#76503] [GCD] Migrating repositories, issues, and patches to Codeberg

From: Simon Tournier <[email-masked]>
Date: Mon, 17 Mar 2025 11:46:45 +0100

Hi Ludo,

On Sat, 15 Mar 2025 at 22:22, Ludovic Courtès <[email-masked]> wrote:
> Vagrant Cascadian <[email-masked]> skribis:
>
>> From my personal experiences with Debian, it looks to me possible to do
>> both systems for a long time, but the extent of the downsides are
>> unclear to me.

That’s my proposal: having more milestones for the Migration Paths.

> I’d say that the main downsides of having two systems, for
> new/occasional contributors would be confusion (where am I supposed to
> report issues/propose changes?) and extra work (having to search in both
> places).
>
> For regular contributors, it’s extra work of checking two systems,
> missing out if you choose to use check only one.
>
> For the community, fragmentation, information loss (due to having to
> manually check if a topic is discussed in the other system), extra
> friction due to difficulties to refer to entries across systems.

Somehow, I’m a bit confused.  One argument is to say: Codeberg has a
nice API. Cool!  Therefore, on one hand, people™ can adapt their own
tools in order to exploit it.  However, on the other hand, people™
cannot exploit it to teach Mumi and/or etc/teams.scm.

Well, I do not see any drawbacks if we are crystal clear that Codeberg
and PR will be the main entry-point and the reference.

Cheers,
simon